sc::SCException(3)

NAME
sc::SCException -

This is a std::exception specialization that records information about where an exception took place'.

SYNOPSIS

#include <scexception.h>

Inherited by sc::AlgorithmException, sc::InputError, sc::LimitExceeded< T >, sc::ProgrammingError, and sc::SystemException'.

  Public Member Functions
SCException (const char *description=0, const char *file=0, int line=0, const ClassDesc *class_desc=0, const char *exception_type='SCException') throw ()
SCException (const SCException &) throw ()
const char * what () const throw ()
Reimplementation of std::exception::what()'.
const char * description () const throw ()
const char * file () const throw ()
int line () const throw ()
const ClassDesc * class_desc () const throw ()
const char * exception_type () const throw ()
std::ostream & elaborate ()
Returns a stream where addition information about the exception can be written'.

Detailed Description

This is a std::exception specialization that records information about where an exception took place'.

Member Function Documentation

  std::ostream& sc::SCException::elaborate ()

Returns a stream where addition information about the exception can be written'. This will throw if a valid stream cannot be returned (possibly due to low memory)'.

  const char* sc::SCException::what () const throw ()

Reimplementation of std::exception::what()'. The returned std::string is only valid for the lifetime of this object'.

Author

Generated automatically by Doxygen for MPQC from the source code'.